Bug 245934 - nroff improvements
Summary: nroff improvements
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-27 14:24 UTC by Miroslav Lichvar
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 14:58:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (1.86 KB, patch)
2007-06-27 14:24 UTC, Miroslav Lichvar
no flags Details | Diff

Description Miroslav Lichvar 2007-06-27 14:24:29 UTC
Description of problem:
nroff fails when /tmp is read-only. I often need to read some man pages while
rescuing a system with read-only root filesystem :). A buffer in bash can used
instead of the temp file if /tmp is read-only.

Also, in most cases when both input and output charsets are utf-8 it's
unnecessary to invoke iconv, and a process can be saved for groff.

Version-Release number of selected component (if applicable):
groff-1.18.1.4-2

How reproducible:
always

Steps to Reproduce:
1. remount ro / 
2. man man
  
Actual results:
man fails

Expected results:
man works ok

Comment 1 Miroslav Lichvar 2007-06-27 14:24:29 UTC
Created attachment 158017 [details]
suggested patch

Comment 2 Marcela Mašláňová 2007-07-03 14:58:14 UTC
Thanks for patch


Note You need to log in before you can comment on or make changes to this bug.